Subject: RE: [PATCH v2] config: add --comment option to add a comment

From: <[email-masked]>
Date: Mon, 11 Mar 2024 15:17:05 -0400

On Monday, March 11, 2024 2:57 PM, Ralph Seichter wrote:
>Subject: Re: [PATCH v2] config: add --comment option to add a comment
>
>* Dragan Simic:
>
> > I mean, perhaps the whole thing with the tab characters may not be  > the right example, but I just wanted to point out that the
>more  > major an open-source project is, the more discussion is often  > required.
>
>Oh, I have no qualms discussing things, but over the last 40+ years, nothing good has ever come from debating the pros and cons of
>tabs and spaces. At least that's my personal experience.

My take would be that all whitespace is ignored, but if you want a tab or other character in a value, be explicit about it:

	variable = "value\ts" # comment

where all whitespace and comments are dropped from the parse to be functionally equivalent to

variable=value(TAB)s

when processing. Implicit quoting arbitrary whitespace can be interpreted in an ambiguous way. That's basically what the C parser does.

--Randall